﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Ключевое слово this в обработчике</title>
    <script>
        window.onload = () => {

            const pArr = document.querySelectorAll("p");

            pArr.forEach(function (element, index, arr) {
                element.onclick = function () {
                    this.style.backgroundColor = "red";
                    setTimeout(() => {
                       this.onclick = null
                    }, 2000)
                }
                
            })
        }

    </script>
    <style>
        p {
            background-color: green;
            float: left;
            height: 50px;
            width: 50px;
            margin: 10px;
        }
    </style>
</head>

<body>
    <p></p>
    <p></p>
    <p></p>
    <p></p>
</body>

</html>